View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000649Ecere SDKcompilerpublic2011-10-04 02:522013-05-19 22:15
Reporterjerome 
Assigned Tojerome 
PriorityimmediateSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44 Ryoan-jiFixed in Version0.44 Ryoan-ji 
Summary0000649: i18n improvements
Description- Add support for msgctxt in the compiler: $"Menu|View|"."Project"
(PoEdit doesn't display context but preserves and separate entries with different contexts)
- Add proper multi-references support as

#: .\sdk\ide\src\about.ec:14
#: .\sdk\ide\src\about.ec:15
#: .\sdk\ide\src\about.ec:16

in .bowl and .pot generation
- Add support to load msgctxt in i18n.ec
(the original string is just msgctxt + \004 (EOT) + msgid)


msgfmt ide.po -o ide.mo
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000486)
jerome (administrator)
2011-11-07 03:38

https://github.com/ecere/sdk/commit/a9384c39dded8559f6d3b8feed0fcebaa9a1f781 [^]

- Issue History
Date Modified Username Field Change
2011-10-04 02:52 jerome New Issue
2011-10-04 02:54 jerome Description Updated
2011-10-04 02:54 jerome Status new => assigned
2011-10-04 02:54 jerome Assigned To => jerome
2011-10-04 03:03 jerome Description Updated
2011-10-04 03:32 jerome Description Updated
2011-11-07 03:38 jerome Status assigned => resolved
2011-11-07 03:38 jerome Fixed in Version => 0.44 pre-release 2
2011-11-07 03:38 jerome Resolution open => fixed
2011-11-07 03:38 jerome Note Added: 0000486
2011-11-07 03:39 jerome Description Updated
2012-03-08 15:32 redj Target Version old 0.44.pre2 => 0.44 Ryoan-ji
2012-03-08 18:07 redj Fixed in Version => 0.44 Ryoan-ji
2012-03-29 07:50 redj Category => eC Compiling Tools
2012-03-29 07:50 redj Project @2@ => Ecere SDK
2013-05-19 22:15 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker